Debian Bug report logs - #430586
xserver-xorg-video-amd - FTBFS: Wrong architecture spec?

version graph

Package: xserver-xorg-video-amd; Maintainer for xserver-xorg-video-amd is Martin-Éric Racine <q-funk@iki.fi>;

Reported by: Bastian Blank <waldi@debian.org>

Date: Mon, 25 Jun 2007 21:00:15 UTC

Severity: serious

Found in version xserver-xorg-video-amd/2.7.6.5+20070208-1

Fixed in version xserver-xorg-video-amd/2.7.6.5+git20070208-4

Done: Martin-Éric Racine <q-funk@iki.fi>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#430586; Package xserver-xorg-video-amd. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: xserver-xorg-video-amd - FTBFS: Wrong architecture spec?
Date: Mon, 25 Jun 2007 21:52:50 +0200
Package: xserver-xorg-video-amd
Version: 2.7.6.5+20070208-1
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of xserver-xorg-video-amd_2.7.6.5+20070208-1 on lxdebian.bfinv.de by sbuild/s390 98
[...]
> /bin/sh ../libtool --tag=CC --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I.. -I../src/cim -I../src/gfx -I../src/panel -I../linux_v26    -I/usr/include/xorg -DHAVE_GX -DHAVE_LX -DAMD_V4L2_VIDEO -DOPT_ACCEL -DLINUX_2_6 -DPNL_SUP  -g -Wall -O2 -c -o amd_gx_accel.lo amd_gx_accel.c
>  cc -DHAVE_CONFIG_H -I. -I. -I.. -I../src/cim -I../src/gfx -I../src/panel -I../linux_v26 -I/usr/include/xorg -DHAVE_GX -DHAVE_LX -DAMD_V4L2_VIDEO -DOPT_ACCEL -DLINUX_2_6 -DPNL_SUP -g -Wall -O2 -c amd_gx_accel.c  -fPIC -DPIC -o .libs/amd_gx_accel.o
> amd_gx_accel.c: In function 'amd_memory_to_screen_blt':
> amd_gx_accel.c:248: warning: matching constraint does not allow a register
> amd_gx_accel.c:255: warning: matching constraint does not allow a register
> amd_gx_accel.c:262: warning: matching constraint does not allow a register
> amd_gx_accel.c:269: warning: matching constraint does not allow a register
> amd_gx_accel.c:248: warning: matching constraint does not allow a register
> amd_gx_accel.c:255: warning: matching constraint does not allow a register
> amd_gx_accel.c:262: warning: matching constraint does not allow a register
> amd_gx_accel.c:269: warning: matching constraint does not allow a register
> amd_gx_accel.c: In function 'amd_gx_exa_CheckComposite':
> amd_gx_accel.c:1840: warning: unused variable 'dfp'
> amd_gx_accel.c:1840: warning: unused variable 'sfp'
> amd_gx_accel.c: In function 'amd_gx_exa_Composite':
> amd_gx_accel.c:1900: warning: unused variable 'pitch'
> amd_gx_accel.c: At top level:
> amd_gx_accel.c:2213: warning: matching constraint does not allow a register
> amd_gx_accel.c:2213: warning: matching constraint does not allow a register
> amd_gx_accel.c:2213: warning: matching constraint does not allow a register
> amd_gx_accel.c:2213: warning: matching constraint does not allow a register
> amd_gx_accel.c:2213: warning: matching constraint does not allow a register
> amd_gx_accel.c:2213: warning: matching constraint does not allow a register
> amd_gx_accel.c:2213: warning: matching constraint does not allow a register
> amd_gx_accel.c:2213: warning: matching constraint does not allow a register
> amd_gx_accel.c:2213: warning: matching constraint does not allow a register
> amd_gx_accel.c: In function 'amd_memory_to_screen_blt':
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:240: warning: matching constraint does not allow a register
> amd_gx_accel.c:248: warning: matching constraint does not allow a register
> amd_gx_accel.c:248: warning: matching constraint does not allow a register
> amd_gx_accel.c:255: warning: matching constraint does not allow a register
> amd_gx_accel.c:255: warning: matching constraint does not allow a register
> amd_gx_accel.c:262: warning: matching constraint does not allow a register
> amd_gx_accel.c:262: warning: matching constraint does not allow a register
> amd_gx_accel.c:269: warning: matching constraint does not allow a register
> amd_gx_accel.c:269: warning: matching constraint does not allow a register
> amd_gx_accel.c:248: error: impossible constraint in 'asm'
> amd_gx_accel.c:255: error: impossible constraint in 'asm'
> amd_gx_accel.c:262: error: impossible constraint in 'asm'
> amd_gx_accel.c:269: error: impossible constraint in 'asm'
> make[3]: *** [amd_gx_accel.lo] Error 1
> make[3]: Leaving directory `/build/buildd/xserver-xorg-video-amd-2.7.6.5+20070208/src'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory `/build/buildd/xserver-xorg-video-amd-2.7.6.5+20070208'
> make[1]: *** [all] Error 2
> make[1]: Leaving directory `/build/buildd/xserver-xorg-video-amd-2.7.6.5+20070208'
> make: *** [debian/stamp-makefile-build] Error 2
> ******************************************************************************
> Build finished at 20070625-2121
> FAILED [dpkg-buildpackage died]



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#430586; Package xserver-xorg-video-amd. Full text and rfc822 format available.

Acknowledgement sent to "Martin-Éric Racine" <q-funk@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 430586@bugs.debian.org (full text, mbox):

From: "Martin-Éric Racine" <q-funk@iki.fi>
To: 430586@bugs.debian.org, "Bastian Blank" <waldi@debian.org>
Subject: fixed in 2.7.6.5+git20070208-3 currently sitting in NEW
Date: Tue, 26 Jun 2007 03:13:00 +0300
This should have been Arch: i386 right from the start. My mistake.

The fix is already uploaded, but currently sitting in NEW because it
also adds a -dbg target.

-- 
Martin-Éric Racine
http://q-funk.iki.fi

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 27 Jun 2007 01:00:28 GMT) Full text and rfc822 format available.

Reply sent to Martin-Éric Racine <q-funk@iki.fi>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 430586-close@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: 430586-close@bugs.debian.org
Subject: Bug#430586: fixed in xserver-xorg-video-amd 2.7.6.5+git20070208-4
Date: Mon, 09 Jul 2007 22:07:28 +0000
Source: xserver-xorg-video-amd
Source-Version: 2.7.6.5+git20070208-4

We believe that the bug you reported is fixed in the latest version of
xserver-xorg-video-amd, which is due to be installed in the Debian FTP archive:

xserver-xorg-video-amd-dbg_2.7.6.5+git20070208-4_i386.deb
  to pool/main/x/xserver-xorg-video-amd/xserver-xorg-video-amd-dbg_2.7.6.5+git20070208-4_i386.deb
xserver-xorg-video-amd_2.7.6.5+git20070208-4.diff.gz
  to pool/main/x/xserver-xorg-video-amd/xserver-xorg-video-amd_2.7.6.5+git20070208-4.diff.gz
xserver-xorg-video-amd_2.7.6.5+git20070208-4.dsc
  to pool/main/x/xserver-xorg-video-amd/xserver-xorg-video-amd_2.7.6.5+git20070208-4.dsc
xserver-xorg-video-amd_2.7.6.5+git20070208-4_i386.deb
  to pool/main/x/xserver-xorg-video-amd/xserver-xorg-video-amd_2.7.6.5+git20070208-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 430586@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin-Éric Racine <q-funk@iki.fi> (supplier of updated xserver-xorg-video-amd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 26 Jun 2007 12:58:51 +0300
Source: xserver-xorg-video-amd
Binary: xserver-xorg-video-amd-dbg xserver-xorg-video-amd
Architecture: source i386
Version: 2.7.6.5+git20070208-4
Distribution: unstable
Urgency: high
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Martin-Éric Racine <q-funk@iki.fi>
Description: 
 xserver-xorg-video-amd - X.Org X server -- AMD Geode GX/LX display driver
 xserver-xorg-video-amd-dbg - X.Org X server -- AMD Geode GX/LX display driver (debugging symbo
Closes: 430586
Changes: 
 xserver-xorg-video-amd (2.7.6.5+git20070208-4) unstable; urgency=high
 .
   * Made both targets Architecture: i386 to fix FTBFS (Closes: #430586).
Files: 
 23748641ec90bb3d897370452e1d8058 974 x11 optional xserver-xorg-video-amd_2.7.6.5+git20070208-4.dsc
 ca77e6e945200b752fd5b14e8dcc927e 20037 x11 optional xserver-xorg-video-amd_2.7.6.5+git20070208-4.diff.gz
 db4fb4362637bf2d8f5836196446481a 164238 x11 optional xserver-xorg-video-amd_2.7.6.5+git20070208-4_i386.deb
 cf8f87690a81ccfb44ed3a93bf3b1df9 450416 x11 extra xserver-xorg-video-amd-dbg_2.7.6.5+git20070208-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGgPehsczZcpAmcIYRAlbHAJ9Fzb2wenjw2QP9mPDJzH8+d8ZPVQCfd4u2
8zGi4h9+aSAigsXRD32XudE=
=nLbL
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 08 Aug 2007 07:31:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 03:56:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.